import { PublicConfigClass } from '@/packages/public'
import { CreateComponentType } from '@/packages/index.d'
import { RemoteConfig } from './index'
import cloneDeep from 'lodash/cloneDeep'
import dataJson from './data.json'

export const option = {
  backgroundColor: '#000000FF',
  // 数据
  dataset: dataJson,
}

export default class Config extends PublicConfigClass implements CreateComponentType {
  public key = RemoteConfig.key
  public chartConfig = cloneDeep(RemoteConfig)
  public option = cloneDeep(option)
  constructor() {
    super(); 
    this.attr.w = 600;
    this.attr.h = 600;
  }
}
